Skip to main content
`Ctrl`+`K`

# report_diff_values

astropy.utils.diff.report_diff_values(a, b, fileobj=<_io.TextIOWrapper name='<stdout>' mode='w' encoding='utf-8'>, indent_width=0, rtol=0.0, atol=0.0)

  Write a diff report between two values to the specified file-like object.

  Parameters:
    a, b

      Values to compare. Anything that can be turned into strings and compared using `difflib` should work.

    fileobj `object`

      File-like object to write to. The default is `sys.stdout`, which writes to terminal.

    indent_width `python:int`

      Character column(s) to indent.

    rtol, atol `python:float`

      Relative and absolute tolerances as accepted by `numpy.allclose()`.

  Returns:
    identical bool

      `True` if no diff, else `False`.